### Enumeration

# GUsb DeviceClassCode

#### Declaration

    enum GUsb.DeviceClassCode

#### Description

The USB device class.

#### Members

Name | Description
--- | ---
`G_USB_DEVICE_CLASS_INTERFACE_DESC` | No description available.
`G_USB_DEVICE_CLASS_AUDIO` | No description available.
`G_USB_DEVICE_CLASS_COMMUNICATIONS` | No description available.
`G_USB_DEVICE_CLASS_HID` | No description available.
`G_USB_DEVICE_CLASS_PHYSICAL` | No description available.
`G_USB_DEVICE_CLASS_IMAGE` | No description available.
`G_USB_DEVICE_CLASS_PRINTER` | No description available.
`G_USB_DEVICE_CLASS_MASS_STORAGE` | No description available.
`G_USB_DEVICE_CLASS_HUB` | No description available.
`G_USB_DEVICE_CLASS_CDC_DATA` | No description available.
`G_USB_DEVICE_CLASS_SMART_CARD` | No description available.
`G_USB_DEVICE_CLASS_CONTENT_SECURITY` | No description available.
`G_USB_DEVICE_CLASS_VIDEO` | No description available.
`G_USB_DEVICE_CLASS_PERSONAL_HEALTHCARE` | No description available.
`G_USB_DEVICE_CLASS_AUDIO_VIDEO` | No description available.
`G_USB_DEVICE_CLASS_BILLBOARD` | No description available.
`G_USB_DEVICE_CLASS_DIAGNOSTIC` | No description available.
`G_USB_DEVICE_CLASS_WIRELESS_CONTROLLER` | No description available.
`G_USB_DEVICE_CLASS_MISCELLANEOUS` | No description available.
`G_USB_DEVICE_CLASS_APPLICATION_SPECIFIC` | No description available.
`G_USB_DEVICE_CLASS_VENDOR_SPECIFIC` | No description available.